mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

TypeLibTypeFlags is used along with the . The flags are retained for reference only. They are not used by the common language runtime.

For more information, see TYPEFLAGS in the MSDN library.

Describes the original settings of the in the COM type library from which the type was imported.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The class supports aggregation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  A type description that describes an Application object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  Instances of the type can be created by ITypeInfo::CreateInstance.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The type is a control from which other types will be derived, and should not be displayed to users.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  Indicates that the interface derives from IDispatch, either directly or indirectly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The interface supplies both IDispatch and V-table binding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The type should not be displayed to browsers.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The type is licensed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The interface cannot add members at run time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The types used in the interface are fully compatible with Automation, including vtable binding support.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The type is predefined. The client application should automatically create a single instance of the object that has this attribute. The name of the variable that points to the object is the same as the class name of the object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  The object supports IConnectionPointWithDefault, and has default behaviors.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  This flag is intended for system-level types or types that type browsers should not display.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibTypeFlags To be added

  Indicates base interfaces should be checked for name resolution before checking child interfaces. This is the reverse of the default behavior.